# TdApi.GroupCallStream (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GroupCallStream

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GroupCallStream

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.GroupCallStream

Enclosing class:
  TdApi

public static final class TdApi.GroupCallStream extends TdApi.Object
Describes an available stream in a group call.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`channelId`
Identifier of an audio/video channel.
`static final int`
`CONSTRUCTOR`
`int`
`scale`
Scale of segment durations in the stream.
`long`
`timeOffset`
Point in time when the stream currently ends; Unix timestamp in milliseconds.

## Constructor Summary

Constructors
Constructor
Description
`GroupCallStream()`
Describes an available stream in a group call.
`GroupCallStream(int channelId, int scale, long timeOffset)`
Describes an available stream in a group call.
`GroupCallStream(DataInput input)`
Describes an available stream in a group call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### channelId

public int channelId
Identifier of an audio/video channel.

### scale

public int scale
Scale of segment durations in the stream. The duration is 1000/(2**scale) milliseconds.

### timeOffset

public long timeOffset
Point in time when the stream currently ends; Unix timestamp in milliseconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GroupCallStream

public GroupCallStream()
Describes an available stream in a group call.

### GroupCallStream

public GroupCallStream(int channelId, int scale, long timeOffset)
Describes an available stream in a group call.

Parameters:
  `channelId` - int Identifier of an audio/video channel.
  `scale` - int Scale of segment durations in the stream. The duration is 1000/(2**scale) milliseconds.
  `timeOffset` - long Point in time when the stream currently ends; Unix timestamp in milliseconds.

### GroupCallStream

public GroupCallStream(DataInput input) throws IOException
Describes an available stream in a group call.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`